﻿using OrBit.MESInterface.Application.Contracts.Dtos;
using System;
using System.Collections.Generic;
using System.Text;
using System.Threading;
using System.Threading.Tasks;
using OrBit.MESInterface.Infrastructure;
using Volo.Abp.Application.Services;

namespace OrBit.MESInterface.Application.Contracts.Interfaces
{
    public interface IUploadinfoIDCheckService: IApplicationService
    {
        /// <summary>
        /// 获取完整的接口配置信息
        /// </summary>
        /// <param name="InterfaceType">接口类型</param>
        /// <param name="cancellationToken">取消状态</param>
        /// <returns></returns>
        Task<ExecutionResult> FindUploadDataID(string InterfaceType, string InterfaceServiceName, string UploadID, CancellationToken cancellationToken=default);
    }
}
