﻿using Microsoft.AspNetCore.Http;
using OrBit.MESInterface.Infrastructure;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OrBit.MESInterface.Application.Contracts.MESInterface
{
    public interface IOrBitAuthorizationService
    {
        /// <summary>
        /// 权限验证
        /// </summary>
        /// <param name="access_token">访问令牌</param>
        /// <param name="Timestamp">时间戳</param>
        /// <param name="RequestBody">请求参数</param>
        /// <param name="ConsumerId">消费方ID</param>
        /// <returns></returns>
        public Task<ExecutionResult> Authorization(string access_token, string Timestamp, string RequestBody, string ConsumerId, string Authorization);
    }
}