﻿using OrBit.MESInterface.Application.Contracts.WGTask.Dtos;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Xml;
using Volo.Abp.Application.Services;

namespace OrBit.MESInterface.Application.Contracts.WGTask
{
    public interface IGenerateTubeSetDataService : IApplicationService
    {
        /// <summary>
        /// 构建xml
        /// </summary>
        /// <param name="tubeSetData"></param>
        /// <returns></returns>
        XmlDocument Build(TubeSetDataInfoDto tubeSetData);
        /// <summary>
        /// 下发文件
        /// </summary>
        /// <param name="fileName"></param>
        void SaveFile(string fileName);
    }
}
