﻿using OrBit.MESInterface.Infrastructure;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Volo.Abp.Application.Services;

namespace OrBit.MESInterface.Application.Contracts.WGTask
{
    public interface ISendWGTaskService : IApplicationService
    {
        /// <summary>
        /// 下发弯管任务 xml文件改成tac后缀
        /// </summary>
        /// <param name="moTaskName">任务单号</param>
        /// <returns>返回执行结果</returns>
        public Task<ExecutionResult> Send(string assetNumber, string productName, string materialGroupID, string timeBlowOut,bool distributePrograms=true);
    }
}
