﻿using System;
using Volo.Abp.Domain.Entities;

namespace OrBit.MESInterface.Domain.InterfaceConfiguration.Entities
{
    public class Interface_RequestHeader : Entity
    {
        public Interface_Request_Configuration Interface_Request_Configuration { get; set; }

        /// <summary>
        /// 接口请求头PKid
        /// </summary>
        public string Interface_RequestHeaderID { get; set; }

        /// <summary>
        /// 接口urlpikd
        /// </summary>
        public string Interface_Request_ConfigurationID { get; set; }

        /// <summary>
        /// 请求头名称
        /// </summary>
        public string RequestHeaderName { get; set; }

        /// <summary>
        /// 请求头的值
        /// </summary>
        public string RequestHeaderValue { get; set; }

        public string HeaderValueType { get; set; }
        public DateTime? CreateTime { get; set; }
        public string CreateUserID { get; set; }
        public bool IsDel { get; set; }

        public DateTime? DelTime { get; set; }
        public string DelUser { get; set; }

        public override object[] GetKeys()
        {
            return new object[] { Guid.NewGuid().ToString() };
        }
    }
}