﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Volo.Abp.Domain.Entities;

namespace OrBit.MESInterface.Domain.MaterialGroup.Entities
{
    public class MaterialGroupInfoTaskListInfo : Entity
    {
        public MaterialGroupInfo MaterialGroupInfo {  get; set; }
        public MaterialGroupInfoTaskListInfo() { }
        /// <summary>
        /// 明细表PKID
        /// </summary>
        public string MaterialGroupInfoTaskListInfoID { get; set; }
        /// <summary>
        /// 主表PKId
        /// </summary>
        public string MaterialGroupInfoID { get; set; }
        /// <summary>
        /// 任务号
        /// </summary>
        public string MotaskName { get; set; }
        /// <summary>
        /// 任务数量
        /// </summary>
        public int Count { get; set; }
        /// <summary>
        /// 长度
        /// </summary>
        public string Length { get; set; }
        /// <summary>
        /// 料号
        /// </summary>
        public string ProductName { get; set; }

        /// <summary>
        /// 落料口
        /// </summary>
        public string Storage { get; set; }

        /// <summary>
        /// 是否需要支撑
        /// </summary>
        public string Support { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        public DateTime CreateTime { get; set; }

        public override object[] GetKeys()
        {
            return new object[] {Guid.NewGuid().ToString()};
        }
    }
}
