﻿using OrBit.MESInterface.Domain.InterfaceConfiguration.Entities;
using OrBit.MESInterface.Domain.InterfaceConfiguration.Repository;
using System;
using System.Collections.Generic;
using System.Data;
using System.Reflection.Metadata;
using System.Text;
using OrBit.MESInterface.Domain.MesInterfaceConfiguration.Entities;
using OrBit.MESInterface.Domain.MesInterfaceConfiguration.Repository;
using Volo.Abp.Domain.Repositories.EntityFrameworkCore;
using Volo.Abp.EntityFrameworkCore;
using OrBit.MESInterface.EntityFrameworkCore.Extensions;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.Data.SqlClient;
using Microsoft.EntityFrameworkCore;
using OrBit.MESInterface.Infrastructure.Extensions;
using OrBit.MESInterface.Infrastructure.CreateTable;

namespace OrBit.MESInterface.EntityFrameworkCore.Repositories.MESInteface
{
    internal class MESInterfaceConifgRepository : ExetenEfCoreRepository<MesInterfaceDBContext, MESInterfaceConfigInfo>, IMESInterfaceConifgRepository
    {
        public MESInterfaceConifgRepository(IDbContextProvider<MesInterfaceDBContext> dbContextProvider) : base(dbContextProvider)
        {
            
        }

        public override async Task<IQueryable<MESInterfaceConfigInfo>> WithDetailsAsync()
        {
           
            return (await GetQueryableAsync()).IncludeDetails();
        }
    }
}