﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OrBit.MESInterface.Infrastructure.DataSetToJson
{
    /// <summary>
    /// 数据集转json
    /// </summary>
    public interface IDataSet2JsonService
    {
        /// <summary>
        /// 把数据集转成字典集合
        /// </summary>
        /// <param name="ds"></param>
        /// <returns></returns>
        List<Dictionary<string, object>> BuildDictionary(DataSet ds);

        /// <summary>
        /// 把数据集直接转成JSon
        /// </summary>
        /// <param name="ds"></param>
        /// <param name="jsonType"></param>
        /// <returns></returns>
        string BuildJSON(DataSet ds, string jsonType);

    }
}