﻿using OrBit.MESInterface.Infrastructure.Common;
using System;
using System.Collections.Generic;
using System.Drawing;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OrBit.MESInterface.Infrastructure.Explorer.Models
{
    /// <summary>
    /// 驱动器
    /// </summary>
    public class DriveItem : DirectoryItem
    {
        public DriveItem(string fullName) : base(fullName) {
            Image= GetImage(fullName,true);
        }

        public override Image Image
        {
            get;
            set;
        }     
        protected override string GetDirectoryName(string path)
        {
            string _name = path.Replace(Path.DirectorySeparatorChar.ToString(), "");
            return _name;
        }
        protected override string GetDisplayName(string fullName)
        {
            return "Disc (" + Name + ")";
        }
    }
}
