using Volo.Abp.Domain.Entities;

namespace OrBit.MESInterface.OrderVerifyWebService.Domain.Entities;

public class InterfaceServiceCode : Entity
{
    public string InterfaceServiceCodeID { get; set; }
    public string MESInterfaceConfigurationID { get; set; }
    public int Sequence { get; set; }
    public string InterfaceServiceName { get; set; }
    public string InterfaceServiceDescribe { get; set; }
    public string ParameterTemplate { get; set; }
    public string FillParameterTemplateByStoredProcedure { get; set; }
    public string StoredProcedureToSaveDataToBusinessTable { get; set; }
    public bool? IsTableToJson { get; set; }
    public bool? IsAutoGetOrPutData { get; set; }
    public DateTime? CreateDate { get; set; }
    public string CreateUserID { get; set; }
    public DateTime LastQuerData { get; set; }
    public string ResultObjectName { get; set; }
    public bool? IsDel { get; set; }
    public DateTime? DelTime { get; set; }
    public string DelUser { get; set; }
    public string ERPInterfaceClassName { get; set; }
    public string ERPInterfaceMethodName { get; set; }

    public override object[] GetKeys()
    {
        return new object[] { Guid.NewGuid().ToString() };
    }
}