using Microsoft.EntityFrameworkCore;
using OrBit.MESInterface.OrderVerifyWebService.Domain.Entities;

namespace OrBit.MESInterface.OrderVerifyWebService.EntiyFrameworkCore.Extensions;

public static class MesInterfaceConfigurationExtensions
{
    public static IQueryable<MESInterfaceConfiguration> IncludeDetails(this IQueryable<MESInterfaceConfiguration> queryable,
        bool include = true)
    {
        if (!include)
            return queryable;
        return queryable.Include(config => config.InterfaceServiceCodes);
    }
}