﻿using System.Text.Json.Serialization;

namespace OrBit.MESInterface.Application.Contracts.ApiFile.Dtos
{
    public class FileInfoDto
    {
        /// <summary>
        /// 文件ID
        /// </summary>
        public string FileID { get; set; }

        /// <summary>
        /// 文件名
        /// </summary>
        public string FileName { get; set; }

        /// <summary>
        /// 扩展名
        /// </summary>
        public string ExtensionName { get; set; }

        /// <summary>
        /// 文件大小
        /// </summary>
        public long Length { get; set; }

        [JsonIgnore]
        public string ContentType { get; set; }

        [JsonIgnore]
        public string StoragePath { get; set; }

        /// <summary>
        /// 访问路径
        /// </summary>
        public string FileUrl { get; set; }

        public string HashID { get; set; }
    }
}