﻿using System.Collections.Generic;
using System.IO;
using Microsoft.AspNetCore.Http;

namespace OrBit.MESInterface.Application.Contracts.ApiFile.Dtos
{
    public class ProxyDownloadFileInfo
    {
        /// <summary>
        /// 文件流
        /// </summary>
        public Stream FileStream { get; set; }

        public string FileName { get; set; }
    }

    public class UplaodFileInfoDto
    {
        public UplaodFileInfoDto()
        {
            ProxyDownloadFileList = new List<ProxyDownloadFileInfo>();
        }

        /// <summary>
        /// 要上传的文件
        /// </summary>
        public IFormFileCollection files { get; set; }

        /// <summary>
        /// 文件夹
        /// </summary>
        public string UploadFolder { get; set; }

        /// <summary>
        /// 数据格式
        /// </summary>
        public string contentType { get; set; }

        /// <summary>
        /// 上传数据的应用
        /// </summary>
        public string app { get; set; }

        /// <summary>
        /// 用户
        /// </summary>

        public string UserName { get; set; }

        public List<ProxyDownloadFileInfo> ProxyDownloadFileList { get; set; }
    }
}