﻿using System.Threading.Tasks;
using OrBit.MESInterface.Application.Contracts.ApiFile.Dtos;
using OrBit.MESInterface.Infrastructure;
using Volo.Abp.Application.Services;

namespace OrBit.MESInterface.Application.Contracts.ApiFile
{
    public interface IAPIFileAppService : IApplicationService
    {
        Task<ExecutionResult> DownloadAndSaveFileInfo(string url, string fileName, string userName);

        Task<ExecutionResult> UploadAndSaveFileInfo(UplaodFileInfoDto uplaodFileInfo);
    }
}