using System.Collections.Generic;
using System.IO;

namespace OrBit.MESInterface.Application.Contracts.AppUpdata.Dto;

public class DirectoryInfoDto
{
        public DirectoryInfoDto()
        {
            Files = new List<FileInfoDto>();
            SubDirectories = new List<DirectoryInfoDto>();
        }

        public bool Root { get; set; }
        public string FullPath { get; set; }

        public string DirectoryName { get; set; }

        public List<DirectoryInfoDto> SubDirectories { get; set; }
        public List<FileInfoDto> Files { get; set; }
}