using System.IO;

namespace OrBit.MESInterface.Application.Contracts.AppUpdata.Dto;

public class DriveInfoDto
{
    /// <summary>
    /// 磁盘名称
    /// </summary>
    public string DriveName { get; set; }

    /// <summary>
    /// 磁盘类型
    /// </summary>
    public string DriveType  { get; set; }
    /// <summary>
    /// 是否准备好
    /// </summary>
    public bool IsReady  { get; set; }

    /// <summary>
    /// 可用磁盘大小
    /// </summary>
    public long TotalFreeSpace { get; set; }

    /// <summary>
    /// 根目录
    /// </summary>
    public string RootDirectory  { get; set; }

    /// <summary>
    /// 总大小
    /// </summary>
    public long TotalSize  { get; set; }
    
    /// <summary>
    /// 卷标名称
    /// </summary>
    public string VolumeLabel   { get; set; }

    /// <summary>
    /// 文件系统名称
    /// </summary>
    public string DriveFormat  { get; set; }
}