﻿using OrBit.MESInterface.Infrastructure.CreateTable;

namespace OrBit.MESInterface.Application.Contracts.Dtos
{
    public enum KeyTypeInfo
    {
        /// <summary>
        ///  状态
        /// </summary>
        Status,

        /// <summary>
        /// 消息
        /// </summary>
        message,

        /// <summary>
        ///   数据
        /// </summary>

        data,

        /// <summary>
        ///  统计信息
        /// </summary>
        Statistic
    }

    public class ResultDataConfigInfoDto
    {     /// <summary>
          /// 关键字名称
          /// </summary>
        public string ResultKeyName { get; set; }

        /// <summary>
        /// 关键字类型
        /// </summary>
        public string KeyType { get; set; }

        
        public string KeyValue { get; set; }

        /// <summary>
        /// 是否创建表
        /// </summary>
        public bool IsCreateTable { get; set; }

        /// <summary>
        /// 保存数据的二级对象名称
        /// </summary>
        public string DataObjectName { get; set; }

        /// <summary>
        /// 是否以此关键字为主数据
        /// </summary>
        public bool IsMaster { get; set; }

        /// <summary>
        /// 结果
        /// </summary>
        public string Value { get; set; }

        public TableModel tableModel { get; set; }
    }
}