﻿using OrBit.MESInterface.Application.Contracts.Dtos;
using OrBit.MESInterface.Domain.InterfaceConfiguration.Entities;
using OrBit.MESInterface.Domain.InterfaceConfiguration.Repository;
using System.Threading.Tasks;
using OrBit.MESInterface.Infrastructure;
using Volo.Abp.Application.Services;
using Volo.Abp.Domain.Repositories;

namespace OrBit.MESInterface.Application.Contracts.Interfaces
{
    public interface IDownloadDataAppService : IApplicationService
    {
        /// <summary>
        /// 单服务下载
        /// </summary>
        /// <param name="InterfaceType">接口类型</param>
        /// <param name="InterfaceServiceName">接口服务名称</param>
        /// <param name="RequestDataParameters">参数</param>
        /// <returns></returns>
        Task<ExecutionResult> SingleInterfaceDownload(string InterfaceType, string InterfaceServiceName, string RequestDataParameters = "", string RequestURL = "", string EventID = "");

      //  Task<string> AllInterfaceDownload(IMESInterfaceConfigService _interfaceConfigService, string InterfaceType);
    }
}