﻿using Microsoft.AspNetCore.Http;
using OrBit.MESInterface.Infrastructure;
using System.Threading.Tasks;
using Volo.Abp.Application.Services;

namespace OrBit.MESInterface.Application.Contracts.MESInterface
{
    public interface IPutDataAppService : IApplicationService
    {
        /// <summary>
        /// 保存推送过来的数据
        /// </summary>
        /// <param name="data"></param>
        /// <returns></returns>
        public Task<ExecutionResult> PutJsonDataSaveAsync(string data, string ConsumerId, HttpContext httpContext, string id = "");

        public Task<ExecutionResult> PutFileDataSaveAsync(HttpContext httpContext, string ConsumerId, string id = "");
    }
}