﻿using OrBit.MESInterface.Application.Contracts;
using OrBit.MESInterface.Application.Profiles;
using OrBit.MESInterface.Domain;
using Volo.Abp.AutoMapper;
using Volo.Abp.Modularity;

namespace OrBit.MESInterface.Application
{
    [DependsOn(

        typeof(MESInterfaceApplicationContractsModule),
        typeof(MESInterfaceDomainModule),
          typeof(AbpAutoMapperModule)
        )]
    public class MESInterfaceApplicationModule : AbpModule
    {
        public override void ConfigureServices(ServiceConfigurationContext context)
        {
            Configure<AbpAutoMapperOptions>(option =>
            {
                option.AddProfile<AuthorProfile>(true);
            });
        }
    }
}