﻿using AutoMapper;
using OrBit.MESInterface.Application.Contracts.Dtos;
using OrBit.MESInterface.Domain.InterfaceConfiguration.Entities;
using Volo.Abp.AutoMapper;

namespace OrBit.MESInterface.Application.Profiles
{
    public class AuthorProfile : Profile
    {
        public AuthorProfile()
        {
            CreateMap<Interface_Request_Configuration, MESInterfaceConfigDto>()
                .Ignore(dto => dto._Post_ServiceCode);

            CreateMap<Interface_ResultDataConfigInfo, ResultDataConfigInfoDto>()
                .Ignore(dto => dto.Value)
                .Ignore(dto=> dto.tableModel);
         
        }
    }
}