﻿using OrBit.MESInterface.Application.Contracts.RemontRepositorie;
using OrBit.MESInterface.Application.Contracts.RemontRepositorie.Dto;
using OrBit.MESInterface.Domain.RemontQuery.Service;
using OrBit.MESInterface.Infrastructure;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Volo.Abp.Application.Services;

namespace OrBit.MESInterface.Application.Service.RemontRepositorie
{
    public class RemontRepositorService : ApplicationService, IRemontRepositorService
    {
        private readonly RemontQueryManager remontQueryManager;
        public RemontRepositorService(RemontQueryManager remontQueryManager)
        {
            this.remontQueryManager = remontQueryManager;
        }
        public async Task<ExecutionResult> QueryData(RemontRepositorieCommandInfoDto remontRepositorieCommand, string userName, string ip)
        {
            var result = await remontQueryManager.QueryData(userName, ip, remontRepositorieCommand.CommandStr, remontRepositorieCommand.CommandType.ToString(), remontRepositorieCommand.GetSqlParameters());
            return result;
        }


    }
}
