﻿using System;
using System.Collections.Generic;
using System.Text;
using Volo.Abp.Domain.Entities;

namespace OrBit.MESInterface.Domain.InterfaceConfiguration.Entities
{
    public class Interface_ResultDataConfigInfo : Entity
    {
        public override object[] GetKeys()
        {
            return new object[] { Guid.NewGuid().ToString() };
        }
        /// <summary>
        /// 主键ID
        /// </summary>
        public string Interface_ResultDataConfigInfoID { get; set; }

        /// <summary>
        /// 接口服务id
        /// </summary>
        public string Interface_ServiceCodeid { get; set; }

        /// <summary>
        /// 关键字描述
        /// </summary>
        public string Interface_ResultDataConfigInfoDesc { get; set; }

        /// <summary>
        /// 关键字名称
        /// </summary>
        public string ResultKeyName { get; set; }

        /// <summary>
        /// 关键字类型
        /// </summary>
        public string KeyType { get; set; }

        /// <summary>
        /// 状态成功后的结果值
        /// </summary>
        public string KeyValue { get; set; }

        /// <summary>
        /// 是否创建表
        /// </summary>
        public bool IsCreateTable { get; set; }

        /// <summary>
        /// 保存数据的二级对象名称
        /// </summary>
        public string DataObjectName { get; set; }

        public string InheritID { get; set; }

        /// <summary>
        /// 是否以此关键字为主数据
        /// </summary>
        public bool IsMaster { get; set; }
        public DateTime CreateDate { get; set; }
        public string CreateUser { get; set; }


    }
}
