using System;
using System.Reflection.Metadata;
using Volo.Abp.Domain.Entities;

namespace OrBit.MESInterface.Domain.MesInterfaceConfiguration.Entities
{
    public class MESInterfaceParametersConfig : Entity
    {
        /// <summary>
        ///  PKID
        /// <summary>
        public string MESInterfaceParametersConfigID { get; set; }

        /// <summary>
        ///  PPKID
        /// <summary>
        public string MESInterfaceServiceConfigInfoID { get; set; }

        public MESInterfaceServiceConfigInfo MesInterfaceServiceConfigInfo { get; set; }

        /// <summary>
        ///  父级参数
        /// <summary>
        public bool Parent { get; set; }

        /// <summary>
        ///  参数名称
        /// <summary>
        public string ParameterName { get; set; }

        /// <summary>
        ///  参数描述
        /// <summary>
        public string ParameterDescribe { get; set; }

        /// <summary>
        ///  参数类型
        /// <summary>
        public string ParameterType { get; set; }

        /// <summary>
        ///  父级参数
        /// <summary>
        public string ParentParameterID { get; set; }

        /// <summary>
        ///  是否激活
        /// <summary>
        public bool Activation { get; set; }

        /// <summary>
        /// 验证字段
        /// </summary>
        public bool CheckDdata { get; set; }

        /// <summary>
        ///  创建时间
        /// <summary>
        public DateTime CreateTime { get; set; }

        /// <summary>
        ///  创建人
        /// <summary>
        public string CreateUser { get; set; }

        public override object[] GetKeys()
        {
            return new object[] { Guid.NewGuid().ToString() };
        }
    }
}