﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Volo.Abp.Domain.Entities;

namespace OrBit.MESInterface.Domain.RemontQuery.Entities
{
    public class RemontQuerylogs : Entity
    {
        public override object[] GetKeys()
        {
            return new object[] { Guid.NewGuid().ToString() };
        }

        /// <summary>
        /// pkid
        /// </summary>
       public string RemontQuerylogsID {  get; set; }

        /// <summary>
        /// 查询人
        /// </summary>
        public string QueryUserName { get; set; }
        /// <summary>
        /// 查询字符串
        /// </summary>
        public string CommandStr { get; set; }
        /// <summary>
        /// 类型
        /// </summary>
        public string CommandType { get; set; }

        /// <summary>
        /// 参数
        /// </summary>
        public string Parameters { get; set; }
        /// <summary>
        /// 查询时间
        /// </summary>
        public DateTime QueryTime { get; set; }
        /// <summary>
        /// 查询结果
        /// </summary>
        public bool ExecResult { get; set; }

        /// <summary>
        /// 执行信息
        /// </summary>
        public string ExecMsg { get; set; }
        /// <summary>
        /// 从那个ip进行的查询
        /// </summary>
        public string Ip { get; set; }
    }
}
