﻿using Microsoft.AspNetCore.Mvc.Abstractions;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Reflection.Metadata;
using System.Text;
using System.Threading.Tasks;
using Volo.Abp.Domain.Entities;

namespace OrBit.MESInterface.Domain.SysPlugIn.Entities
{
    public class SysParameter : Entity
    {
        public SysParameter()
        { }

        [Key]
        public string ParameterId { get; set; }

        public string ParameterName { get; set; }
        public string ParameterDescription { get; set; }
        public string ParameterValue { get; set; }
        public string ParameterValueEx { get; set; }
        public bool Protected { get; set; }
        public DateTime? CreateDate { get; set; }

        public override object[] GetKeys()
        {
            return new object[] { Guid.NewGuid().ToString() };
        }
    }
}