﻿using Microsoft.Data.SqlClient;
using Microsoft.EntityFrameworkCore;
using OrBit.MESInterface.EntityFrameworkCore.Extensions;
using System.Collections.Generic;
using System.Data;

using System.Linq;
using System.Threading.Tasks;
using OrBit.MESInterface.Domain.InterfaceConfiguration.Entities;
using OrBit.MESInterface.Domain.InterfaceConfiguration.Repository;
using OrBit.MESInterface.Infrastructure.CreateTable;
using OrBit.MESInterface.Infrastructure.Extensions;
using Volo.Abp.Domain.Repositories.EntityFrameworkCore;
using Volo.Abp.EntityFrameworkCore;

namespace OrBit.MESInterface.EntityFrameworkCore.Repositories
{
    public class Interface_Request_ConfigurationRepository : ExetenEfCoreRepository<MesInterfaceDBContext, Interface_Request_Configuration>, IInterface_Request_ConfigurationRepository
    {
        public Interface_Request_ConfigurationRepository(IDbContextProvider<MesInterfaceDBContext> dbContextProvider) : base(dbContextProvider)
        {
        }

        public override async Task<IQueryable<Interface_Request_Configuration>> WithDetailsAsync()
        {
            return (await GetQueryableAsync()).IncludeDetails();
        }
    }
}