﻿using Microsoft.AspNetCore.Builder;
using OrBit.MESInterface.HttpApi.Host.Base.Middleware;

namespace OrBit.MESInterface.HttpApi.Host.Base.Extensions
{
    public static class OrBitAuthorizationBilderExtensions
    {
        public static IApplicationBuilder UseOrBitAuthorization(this IApplicationBuilder builder)
        {
            return builder.UseMiddleware<AuthorizationMiddleware>();
        }
    }
}