﻿using Microsoft.AspNetCore.Http;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Net.Http;
using System.Text;
using System.Threading.Tasks;

namespace OrBit.MESInterface.Infrastructure.Common
{
    public class UploadFileRequestData
    {
        public UploadFileRequestData()
        {
            FileList = new MultipartFormDataContent();
        }

        /// <summary>
        /// 请求地址
        /// </summary>
        public string Url { get; set; }

        /// <summary>
        /// 上传程序
        /// </summary>

        public string App { get; set; }

        /// <summary>
        /// 目录
        /// </summary>

        public string UploadFolder { get; set; }

        /// <summary>
        /// 文件列表
        /// </summary>

        public MultipartFormDataContent FileList { get; set; }
    }
}