﻿using System;
using System.Collections.Generic;
using System.Security.Principal;
using System.Text;

namespace OrBit.MESInterface.Infrastructure.CreateTable
{
    public class DBTableInfo
    {
        /// <summary>
        /// 表名
        /// </summary>
        public string TableName { get; set; }

        /// <summary>
        /// 列名
        /// </summary>
        public string ColumnName { get; set; }

        /// <summary>
        /// 是否是主键
        /// </summary>
        public bool IsPKID { get; set; }

        /// <summary>
        /// 列类型
        /// </summary>
        public string ColumnType { get; set; }

        /// <summary>
        /// 列长度
        /// </summary>
        public int Columnlength { get; set; }

        /// <summary>
        /// 小数长度
        /// </summary>
        public int DecimalPlace { get; set; }

        /// <summary>
        /// 允许为空
        /// </summary>
        public bool AllowedEmpty { get; set; }

        /// <summary>
        /// 默认值
        /// </summary>
        public string DefaultValue { get; set; }

        /// <summary>
        /// 列说明
        /// </summary>
        public string ColumnDescription { get; set; }
    }
}