﻿using OrBit.MESInterface.Infrastructure.Explorer.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OrBit.MESInterface.Infrastructure.Explorer
{
    public interface IExplorer
    {
        /// <summary>
        /// 获取驱动器
        /// </summary>
        /// <returns></returns>
        public List<DriveItem> GetDriveItem();

        /// <summary>
        /// 获取目录与文件
        /// </summary>
        /// <param name="FullName"></param>
        /// <returns></returns>
        public List<CustomFileInfo> GetDirectoryAndFile(string FullName);

        /// <summary>
        /// 只获取目录
        /// </summary>
        /// <param name="FullName"></param>
        /// <returns></returns>
        public List<DirectoryItem> GetDirectoryItem(string FullName);
    }
}
