﻿using Microsoft.VisualBasic.FileIO;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Drawing;
using OrBit.MESInterface.Infrastructure.Common;

namespace OrBit.MESInterface.Infrastructure.Explorer.Models
{
    public class CustomFileInfo : IFileImage
    {
        public enum FileType { Drive, SystemFolder, FileFolder, File }
        public CustomFileInfo() { }
        public Image Image
        {
            get;
            set;
        }

        public string ImageStr { get { return ConvertObjectToBase64.BitmapToBase64(Image); } }
        public string FullName
        {
            get;
            set;
        }
        public string Name
        {
            get;
            set;
        }
        public FileType Type
        {
            get;
            set;
        }
        public string TypeName
        {
            get;
            set;
        }
        public DateTime? DateModified
        {
            get;
            set;
        }
        public DateTime? DateCreated
        {
            get;
            set;
        }
        public long? Size
        {
            get;
            set;
        }
    }
}
