﻿using OrBit.MESInterface.OrderVerifyWebService.Domain.InterfaceConfiguration.Repository;
using Volo.Abp.Domain.Repositories;

namespace OrBit.MESInterface.OrderVerifyWebService.Application
{
    public class MesOperate : IMesOperate
    {
        private readonly IInterfaceConfigurationRepository repository;

        private readonly ILogger<MesOperate> logger;

        public MesOperate(IInterfaceConfigurationRepository _repository, ILogger<MesOperate> logger)
        {
            repository = _repository;
            this.logger = logger;
        }

        public AnalyticResult Show(string value)
        {
            logger.LogInformation($"接受到参数{value}");
            var result = new AnalyticResult();

            result.code = AnalyticState.SUCCESS;
            result.data = value;
            result.message = "请求成功";

           // await repository.GetDbContextAsync();
            return result;
        }
    }
}