using OrBit.MESInterface.OrderVerifyWebService.EntiyFrameworkCore;
using Volo.Abp.Domain.Entities;

namespace OrBit.MESInterface.OrderVerifyWebService.Domain.Entities;

public class MESInterfaceConfiguration: Entity
{
    public MESInterfaceConfiguration()
    {
        InterfaceServiceCodes = new List<InterfaceServiceCode>();
    }
    public string MESInterfaceConfigurationid { get; set; }
    public string MESInterfaceConfigurationDescribe { get; set; }
    public string EnvironmentVariableid { get; set; }
    public string FactoryId { get; set; }
    public string RequestMethod { get; set; }
    public bool? IsDel { get; set; }
    public DateTime? DelTime { get; set; }
    public string InterfaceType { get; set; }
    public string InterfaceType_Describe { get; set; }
    public string MESWebAPIUrl { get; set; }
    public bool? IsBasicAuth { get; set; }
    public string AuthUserName { get; set; }
    public string AuthPassword { get; set; }
    public DateTime? CreateTime { get; set; }
    public string CreateUserid { get; set; }
   public  IEnumerable<InterfaceServiceCode> InterfaceServiceCodes { get; set; }
    public override object[] GetKeys()
    {
        return new object[] { Guid.NewGuid().ToString() };
    }
}