using Microsoft.EntityFrameworkCore;
using OrBit.MESInterface.OrderVerifyWebService.Domain.Entities;
using Volo.Abp.EntityFrameworkCore;

namespace OrBit.MESInterface.OrderVerifyWebService.EntiyFrameworkCore;

public class MesInterfaceDbContext : AbpDbContext<MesInterfaceDbContext>
{
    public MesInterfaceDbContext(DbContextOptions<MesInterfaceDbContext> options) : base(options)
    {
    }

    public DbSet<MESInterfaceConfiguration> MESInterfaceConfiguration { get; set; }
    public DbSet<InterfaceServiceCode> InterfaceServiceCode { get; set; }
}