﻿using OrBit.MESInterface.WebService.Host.Service;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Services;
using System.Web.Services.Protocols;
using System.Xml.Linq;

namespace OrBit.MESInterface.WebService.Host
{
    /// <summary>
    /// MesService 的摘要说明
    /// </summary>
    [WebService(Namespace = "http://tempuri.org/")]
    [WebServiceBinding(ConformsTo = WsiProfiles.BasicProfile1_1)]
    [System.ComponentModel.ToolboxItem(false)]
    public class MesService : System.Web.Services.WebService
    {
        public UserValidationSoapHeader userValidation = new UserValidationSoapHeader();

        [WebMethod]
        [SoapHeader("userValidation")]
        public string HelloWorld(string name)
        {
            if (userValidation.IsValid() && !string.IsNullOrEmpty(name))
            {
                return "Hello " + name;
            }
            return "Hello World";
        }
    }
}