using Microsoft.EntityFrameworkCore;
using Microsoft.Extensions.DependencyInjection;
using OrBit.MESInterface.Application.Contracts;
using OrBit.MESInterface.EntityFrameworkCore;
using OrBit.MESInterface.TestBase;
using Volo.Abp.EntityFrameworkCore;
using Volo.Abp.Modularity;

namespace OrBit.MESInterface.Application.Tests
{
    [DependsOn(

        typeof(MESInterfaceTestBaseModule),
        typeof(MESInterfaceApplicationModule),
        typeof(MESInterfaceApplicationContractsModule),
        typeof(MESInterfaceEntityFrameworkModule)

        )]
    public class MesInterfaceApplicationTestModule : AbpModule
    {
        public override void ConfigureServices(ServiceConfigurationContext context)
        {
            var coonectionStr = "Data Source=192.168.21.89;Initial Catalog=OrBitRBay;User Id=sa;Password=1qaz~2wsx;persist security info=true";

            context.Services.Configure<AbpDbContextOptions>(optios =>
            {
                optios.Configure(configurationContext =>
                {
                    configurationContext.DbContextOptions.UseSqlServer(coonectionStr);
                })
;
            });
        }
    }
}