using Microsoft.EntityFrameworkCore;
using Microsoft.Extensions.DependencyInjection;
using OrBit.MESInterface.TestBase;
using Volo.Abp.EntityFrameworkCore;
using Volo.Abp.EntityFrameworkCore.SqlServer;
using Volo.Abp.Modularity;

namespace OrBit.MESInterface.EntityFrameworkCore.Tests
{
    [DependsOn(typeof(AbpEntityFrameworkCoreSqlServerModule),
        typeof(MESInterfaceTestBaseModule),
        typeof(MESInterfaceEntityFrameworkModule))]
    public class MESInterfaceEntityFrameworkCoreTestModule : AbpModule
    {
        public override void ConfigureServices(ServiceConfigurationContext context)
        {
            var coonectionStr = "Data Source=192.168.21.89;Initial Catalog=OrBitRBay;User Id=sa;Password=1qaz~2wsx;";

            context.Services.Configure<AbpDbContextOptions>(optios =>
            {
                optios.Configure(configurationContext =>
                {
                    configurationContext.DbContextOptions.UseSqlServer(coonectionStr);
                })
;
            });
        }
    }
}